// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@use '~@angular/material' as mat;
// Plus imports for other components in your app.

@import "../index";
/* IMPORT */
@import "~@rxap/components/theming";
@import "~@rxap/authentication/theming";
@import "~@rxap/directives/theming";
@import "~@rxap/window-system/theming";
@import "~@rxap/layout/theming";

@import "loading-animation";

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat.core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$pwa-primary: mat.define-palette(mat.$brown-palette);
$pwa-accent: mat.define-palette(mat.$amber-palette);

// The warn palette is optional (defaults to red).
$pwa-warn: mat.define-palette(mat.$red-palette);

// Create the theme object (a Sass map containing all of the palettes).
$pwa-theme-light: mat.define-light-theme($pwa-primary, $pwa-accent, $pwa-warn);
$pwa-theme-dark: mat.define-dark-theme($pwa-primary, $pwa-accent, $pwa-warn);

@mixin body-theme($theme) {
  @include mat.all-component-themes($theme);
  $background: mat.get-color-from-palette(map-get($theme, background), background);
  background-color: $background;
  @include loadingAnimation($background);

  @include app-theme($theme);
  @include rxap-components-theme($theme);
  @include rxap-authentication-theme($theme);
  @include rxap-directives-theme($theme);
  @include rxap-window-system-theme($theme);
  @include rxap-layout-theme($theme);
}

body {
  @include body-theme($pwa-theme-light);
}
